=== xbmc/network/mdns/Makefile ===
SRCS=ZeroconfMDNS.cpp \
     ZeroconfBrowserMDNS.cpp \

LIB=mdns.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))
