=== debian/changelog ===
xbmc (2:13.1~rc1+dfsg1-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Build-depend on ttf-dejavu-core instead of fonts-dejavu-core
  * Fall back to old location of DejaVuSans.ttf if needed.
  * Fall back to old location of libhdhomerun includes if needed

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 23 Jun 2014 21:55:22 +0200

xbmc (2:13.1~rc1+dfsg1-1) unstable; urgency=low

  * XBMC 13.1 Gotham RC1
    - release notes: http://xbmc.org/xbmc-13-1-gotham-rc1/
  * Always enable parallel builds
  * Refresh patches

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 21 Jun 2014 08:24:02 -0700

xbmc (2:13.1~beta2+dfsg1-1) unstable; urgency=low

  * XBMC 13.1 Gotham Beta2
    - release notes: http://xbmc.org/xbmc-13-1-gotham-beta-2
  * Fix embedded subtitle handling using Libav
  * Refactor patches to split Libav-related ones
  * Drop obsolete chunk from 06-use-external-libraries.patch
  * Ship additional include files in xbmc-addons-dev
    Those headers are used by PVR addons compatible with XBMC 13.
  * Define AV_CODEC_ID_SUBRIP to AV_CODEC_ID_TEXT in libav hacks and fix compilation

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 23 May 2014 16:58:11 +0700

xbmc (2:13.1~beta1+dfsg1-1) unstable; urgency=low

  * XBMC 13.1 Gotham Beta1
    - release notes: http://xbmc.org/xbmc-13-1-beta1-gotham
  * Fix #include directive across installed headers

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 13 May 2014 12:18:34 +0200

xbmc (2:13.0+dfsg1-1) experimental; urgency=low

  * XBMC 13.0 Gotham
    - relese notes: http://xbmc.org/xbmc-13-0-gotham-rises
  * Refresh patches

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 05 May 2014 10:13:52 +0200

xbmc (2:13.0~rc1+dfsg1-1) experimental; urgency=low

  * XBMC 13.0 Gotham RC 1
    - relese notes: http://xbmc.org/xbmc-13-0-gotham-release-candidate-1
  * Use groovy.jar instead of groovy-all-1.8.6.jar to work around FTBFS
    (Closes: #744330)
  * Revert to using system's groovy
  * Ship XBMC Addon headers in xbmc-addons-dev package
  * Don't set source dir for dh_install, rely on defaults instead

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 04 May 2014 14:11:58 +0200

xbmc (2:13.0~beta4+dfsg1-1) experimental; urgency=low

  * XBMC 13.0 Gotham Beta 4
    - relese notes: http://xbmc.org/xbmc-13-0-gotham-beta-4
  * XBMC 13.0 Gotham Beta 3
    - release notes: http://xbmc.org/xbmc-13-0-gotham-beta-3-returns
  * Drop unused Debian patches
  * Refresh patches
  * Fix av_stream_get_r_frame_rate Libav hack accessor
  * Stop shipping minified iscroll.js.
  * Make xbmc depend on libjs-iscroll and use minified iscroll.js from it
  * Bump standards version, no changes needed
  * Bump debhelper compat level to 9
  * Migrate to dh_python2
  * Use XBMC's groovy since Debian's groovy is broken in unstable
  * Make package team-maintained by Debian Multimedia Maintainers.
    Debian XBMC Packaging Team which was dysfunctional since the single
    developer member of it is MIA since months.
  * Remove Andres Mejia as uploader since he is tracked as MIA.
    Thank you for maintaining the package for a long time! (Closes: #743558)

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 19 Apr 2014 21:00:07 +0200

xbmc (2:13.0~beta2+dfsg1-1) experimental; urgency=low

  * XBMC 13.0 Gotham Beta2
    - release notes: http://xbmc.org/xbmc-13-0-gotham-the-beta-2-we-deserve
  * Drop 0003-Use-NULL-from-cstddef.patch since it has been integrated upstream
  * Refresh patches
  * Stop directing users to read README.Debian under "XBMC from Debian" logo
  * Re-enable using PulseAudio (Closes: #741531)

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 08 Mar 2014 00:57:47 +0100

xbmc (2:13.0~beta1+dfsg1-1) experimental; urgency=low

  * XBMC 13.3 Gotham Beta1
    - release notes: http://xbmc.org/xbmc-13-0-gotham-beta1-rises
  * Refresh patches
  * Remove version check add-on since it is handled by APT in Debian
  * Fix build when GIT_REV is not defined
  * Disable static ffmpeg
  * Use XBMC's config.h for DVDnav
  * Build-depend on libxslt-dev
  * Build-depend on Libav 10 libraries
  * Fix compilation with libav 10 beta1 (Closes: #739441)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 07 Mar 2014 12:44:50 +0100
